org.apache.felix.deployment.rp.autoconf

## Class AutoConfResource

- java.lang.Object
- - org.apache.felix.deployment.rp.autoconf.AutoConfResource

All Implemented Interfaces:
  Serializable

    public class AutoConfResource
    extends Object
    implements Serializable

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`AutoConfResource(String name, String pid, String factoryPid, String bundleLocation, boolean merge, Dictionary properties, org.osgi.framework.Filter filter)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equalsTargetConfiguration(AutoConfResource resource)` Determine if the specified `AutoConfResource` is meant to be used for the same `Configuration` as this object.
`String` `getBundleLocation()`
`String` `getFactoryPid()` Returns empty string if this configuration is not a factory configuration, otherwise the factory PID is returned.
`org.osgi.framework.Filter` `getFilter()`
`String` `getGeneratedPid()`
`String` `getName()`
`String` `getPid()`
`Dictionary` `getProperties()`
`boolean` `isFactoryConfig()`
`boolean` `isMerge()`
`void` `setGeneratedPid(String alias)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AutoConfResource

    public AutoConfResource(String name,
                            String pid,
                            String factoryPid,
                            String bundleLocation,
                            boolean merge,
                            Dictionary properties,
                            org.osgi.framework.Filter filter)

### Method Detail

#### getName

    public String getName()

#### getPid

    public String getPid()

#### getFilter

    public org.osgi.framework.Filter getFilter()

#### getFactoryPid

    public String getFactoryPid()

Returns empty string if this configuration is not a factory configuration, otherwise the factory PID is returned.

Returns:
  Empty string if this is not a factory configuration resource, else the factory PID is returned.

#### getProperties

    public Dictionary getProperties()

#### getBundleLocation

    public String getBundleLocation()

#### isMerge

    public boolean isMerge()

#### isFactoryConfig

    public boolean isFactoryConfig()

#### setGeneratedPid

    public void setGeneratedPid(String alias)

#### getGeneratedPid

    public String getGeneratedPid()

#### equalsTargetConfiguration

    public boolean equalsTargetConfiguration(AutoConfResource resource)

Determine if the specified `AutoConfResource` is meant to be used for the same `Configuration` as this object.

Parameters:
  `resource` - The `AutoConfResource` to compare with.
Returns:
  Returns `true` if the two resources are meant to be used for the same `Configuration` object, false otherwise.